halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends
hal::HDF5SequenceIterator Class Reference
Inheritance diagram for hal::HDF5SequenceIterator:

List of all members.

## Public Member Functions
| HDF5SequenceIterator (HDF5Genome *genome, hal_index_t index)
SequenceIteratorPtr | copy ()
SequenceIteratorConstPtr | copy () const
void | toNext () const
void | toPrev () const
Sequence * | getSequence ()
const Sequence * | getSequence () const
## Protected Attributes
HDF5Sequence | _sequence
## Friends
class | HDF5BottomSegmentIterator

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5SequenceIterator.h
- hdf5_impl/hdf5SequenceIterator.cpp

All Classes Namespaces Functions Variables Friends